diff --git a/common/src/test/scala/game/SquadDefinitionActionMessageTest.scala b/common/src/test/scala/game/SquadDefinitionActionMessageTest.scala
index 0acd6c8f..f36b61c5 100644
--- a/common/src/test/scala/game/SquadDefinitionActionMessageTest.scala
+++ b/common/src/test/scala/game/SquadDefinitionActionMessageTest.scala
@@ -41,7 +41,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (00)" in {
     PacketCoding.DecodePacket(string_00).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 3
+        unk1 mustEqual PlanetSideGUID(3)
         unk2 mustEqual 0
         action mustEqual DisplaySquad()
       case _ =>
@@ -52,7 +52,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (03)" in {
     PacketCoding.DecodePacket(string_03).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 3
         action mustEqual SaveSquadDefinition()
       case _ =>
@@ -63,7 +63,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (03)" in {
     PacketCoding.DecodePacket(string_04).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 3
         action mustEqual LoadSquadDefinition()
       case _ =>
@@ -74,7 +74,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (07)" in {
     PacketCoding.DecodePacket(string_07).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 3
         action mustEqual ListSquadDefinition("Cops and Military Officers")
       case _ =>
@@ -85,7 +85,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (08)" in {
     PacketCoding.DecodePacket(string_08).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ListSquad()
       case _ =>
@@ -96,7 +96,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (10)" in {
     PacketCoding.DecodePacket(string_10).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SelectRoleForYourself(1)
       case _ =>
@@ -107,7 +107,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (19)" in {
     PacketCoding.DecodePacket(string_19).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ChangeSquadPurpose("A-Team")
       case _ =>
@@ -118,7 +118,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (20)" in {
     PacketCoding.DecodePacket(string_20).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ChangeSquadZone(PlanetSideZoneID(1))
       case _ =>
@@ -129,7 +129,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (21)" in {
     PacketCoding.DecodePacket(string_21).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual CloseSquadMemberPosition(2)
       case _ =>
@@ -140,7 +140,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (22)" in {
     PacketCoding.DecodePacket(string_22).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual AddSquadMemberPosition(2)
       case _ =>
@@ -151,7 +151,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (23)" in {
     PacketCoding.DecodePacket(string_23).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ChangeSquadMemberRequirementsRole(1, "BLUFOR")
       case _ =>
@@ -162,7 +162,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (24)" in {
     PacketCoding.DecodePacket(string_24).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ChangeSquadMemberRequirementsDetailedOrders(1, "kill bad dudes")
       case _ =>
@@ -173,7 +173,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (25)" in {
     PacketCoding.DecodePacket(string_25).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ChangeSquadMemberRequirementsCertifications(
           1,
@@ -187,7 +187,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (26)" in {
     PacketCoding.DecodePacket(string_26).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual ResetAll()
       case _ =>
@@ -198,7 +198,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (28)" in {
     PacketCoding.DecodePacket(string_28).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual AutoApproveInvitationRequests(true)
       case _ =>
@@ -209,7 +209,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (31)" in {
     PacketCoding.DecodePacket(string_31).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual LocationFollowsSquadLead(true)
       case _ =>
@@ -220,7 +220,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (34a)" in {
     PacketCoding.DecodePacket(string_34a).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SearchForSquadsWithParticularRole("Badass", 0L, 1, 0)
       case _ =>
@@ -231,7 +231,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (34b)" in {
     PacketCoding.DecodePacket(string_34b).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SearchForSquadsWithParticularRole("Badass", 0L, 2, 0)
       case _ =>
@@ -242,7 +242,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (34c)" in {
     PacketCoding.DecodePacket(string_34c).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SearchForSquadsWithParticularRole("Badass", 0L, 2, 1)
       case _ =>
@@ -253,7 +253,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (34d)" in {
     PacketCoding.DecodePacket(string_34d).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 2)
       case _ =>
@@ -264,7 +264,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (34e)" in {
     PacketCoding.DecodePacket(string_34e).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 3)
       case _ =>
@@ -275,7 +275,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (35)" in {
     PacketCoding.DecodePacket(string_35).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual CancelSquadSearch()
       case _ =>
@@ -286,7 +286,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (40)" in {
     PacketCoding.DecodePacket(string_40).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual FindLfsSoldiersForRole(1)
       case _ =>
@@ -297,7 +297,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (41)" in {
     PacketCoding.DecodePacket(string_41).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual CancelFind()
       case _ =>
@@ -308,7 +308,7 @@ class SquadDefinitionActionMessageTest extends Specification {
   "decode (43, unknown)" in {
     PacketCoding.DecodePacket(string_43).require match {
       case SquadDefinitionActionMessage(unk1, unk2, action) =>
-        unk1 mustEqual 0
+        unk1 mustEqual PlanetSideGUID(0)
         unk2 mustEqual 0
         action mustEqual Unknown(43, hex"00".toBitVector.take(6))
       case _ =>
@@ -321,91 +321,91 @@ class SquadDefinitionActionMessageTest extends Specification {
   }
 
   "encode (00)" in {
-    val msg = SquadDefinitionActionMessage(3, 0, DisplaySquad())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(3), 0, DisplaySquad())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_00
   }
 
   "encode (03)" in {
-    val msg = SquadDefinitionActionMessage(0, 3, SaveSquadDefinition())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 3, SaveSquadDefinition())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_03
   }
 
   "encode (03)" in {
-    val msg = SquadDefinitionActionMessage(0, 3, LoadSquadDefinition())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 3, LoadSquadDefinition())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_04
   }
 
   "encode (07)" in {
-    val msg = SquadDefinitionActionMessage(0, 3, ListSquadDefinition("Cops and Military Officers"))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 3, ListSquadDefinition("Cops and Military Officers"))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_07
   }
 
   "encode (08)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ListSquad())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ListSquad())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_08
   }
 
   "encode (10)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SelectRoleForYourself(1))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SelectRoleForYourself(1))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_10
   }
 
   "encode (19)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ChangeSquadPurpose("A-Team"))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ChangeSquadPurpose("A-Team"))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_19
   }
 
   "encode (20)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ChangeSquadZone(PlanetSideZoneID(1)))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ChangeSquadZone(PlanetSideZoneID(1)))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_20
   }
 
   "encode (21)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, CloseSquadMemberPosition(2))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, CloseSquadMemberPosition(2))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_21
   }
 
   "encode (22)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, AddSquadMemberPosition(2))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, AddSquadMemberPosition(2))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_22
   }
 
   "encode (23)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ChangeSquadMemberRequirementsRole(1, "BLUFOR"))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ChangeSquadMemberRequirementsRole(1, "BLUFOR"))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_23
   }
 
   "encode (24)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ChangeSquadMemberRequirementsDetailedOrders(1, "kill bad dudes"))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ChangeSquadMemberRequirementsDetailedOrders(1, "kill bad dudes"))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_24
   }
 
   "encode (25)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ChangeSquadMemberRequirementsCertifications(
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ChangeSquadMemberRequirementsCertifications(
       1,
       Set(CertificationType.AntiVehicular, CertificationType.InfiltrationSuit)
     ))
@@ -415,84 +415,84 @@ class SquadDefinitionActionMessageTest extends Specification {
   }
 
   "encode (26)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, ResetAll())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, ResetAll())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_26
   }
 
   "encode (28)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, AutoApproveInvitationRequests(true))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, AutoApproveInvitationRequests(true))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_28
   }
 
   "encode (31)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, LocationFollowsSquadLead(true))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, LocationFollowsSquadLead(true))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_31
   }
 
   "encode (34a)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SearchForSquadsWithParticularRole("Badass", 0L, 1, 0))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SearchForSquadsWithParticularRole("Badass", 0L, 1, 0))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_34a
   }
 
   "encode (34b)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SearchForSquadsWithParticularRole("Badass", 0L, 2, 0))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SearchForSquadsWithParticularRole("Badass", 0L, 2, 0))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_34b
   }
 
   "encode (34c)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SearchForSquadsWithParticularRole("Badass", 0L, 2, 1))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SearchForSquadsWithParticularRole("Badass", 0L, 2, 1))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_34c
   }
 
   "encode (34d)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 2))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 2))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_34d
   }
 
   "encode (34e)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 3))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, SearchForSquadsWithParticularRole("Badass", 536870928L, 2, 3))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_34e
   }
 
   "encode (35)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, CancelSquadSearch())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, CancelSquadSearch())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_35
   }
 
   "encode (40)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, FindLfsSoldiersForRole(1))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, FindLfsSoldiersForRole(1))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_40
   }
 
   "encode (41)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, CancelFind())
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, CancelFind())
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_41
   }
 
   "encode (43, unknown)" in {
-    val msg = SquadDefinitionActionMessage(0, 0, Unknown(43, BitVector.empty))
+    val msg = SquadDefinitionActionMessage(PlanetSideGUID(0), 0, Unknown(43, BitVector.empty))
     val pkt = PacketCoding.EncodePacket(msg).require.toByteVector
 
     pkt mustEqual string_43
